Skip to content
Get Started

List TOTP secrets

GET/api/v2/totp/secrets

List all stored TOTP secrets for the account. The encrypted secret values are never returned.

ReturnsExpand Collapse
status: optional string
totp_secrets: optional array of object { id, algorithm, created_at, 5 more }
id: optional string

Unique identifier for this TOTP secret

formatuuid
algorithm: optional "SHA1" or "SHA256" or "SHA512"

Hash algorithm used

One of the following:
"SHA1"
"SHA256"
"SHA512"
created_at: optional string
digits: optional number

Code length (6 or 8)

issuer: optional string

Service name

label: optional string

Human-readable label

period: optional number

Rotation period in seconds

secret: optional string

Base32 secret — only returned on creation, never on list/get

List TOTP secrets

curl https://api.sendblue.co/api/v2/totp/secrets \
    -H "sb-api-key-id: $SENDBLUE_API_API_KEY" \
    -H "sb-api-secret-key: $SENDBLUE_API_API_SECRET"
{
  "status": "OK",
  "totp_secrets": [
    {
      "id": "550e8400-e29b-41d4-a716-446655440000",
      "algorithm": "SHA1",
      "created_at": "2026-04-05T12:00:00Z",
      "digits": 6,
      "issuer": "GitHub",
      "label": "GitHub - [email protected]",
      "period": 30,
      "secret": "JBSWY3DPEHPK3PXP"
    }
  ]
}
Returns Examples
{
  "status": "OK",
  "totp_secrets": [
    {
      "id": "550e8400-e29b-41d4-a716-446655440000",
      "algorithm": "SHA1",
      "created_at": "2026-04-05T12:00:00Z",
      "digits": 6,
      "issuer": "GitHub",
      "label": "GitHub - [email protected]",
      "period": 30,
      "secret": "JBSWY3DPEHPK3PXP"
    }
  ]
}